package com.sxtvs.open.api.clue.dto;

import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;
import lombok.Data;

@Data
public class VerifyDTO {
    @NotNull
    private Long id;

    @Max(value = 1, message = "status最大为1")
    @Min(value = -1, message = "status最小为-1")
    private Integer status;
}
