package com.sxtvs.open.api.odata.dto.weibo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class WeiboCreateTask {
    private Long id;
    @JsonProperty("task_id")
    private Long taskId;
    @JsonProperty("secret_key")
    private String secretKey;
    @JsonProperty("error_code")
    private int errorCode;

    public boolean hasError(){
        return errorCode != 0;
    }
}
