package com.sxtvs.open.api.odata.dto.weibo.show;

import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;

public class Status{

	@JsonProperty("fid")
	private long fid;

	@JsonProperty("isLongText")
	private boolean isLongText;

	@JsonProperty("hot_weibo_tags")
	private List<Object> hotWeiboTags;

	@JsonProperty("in_reply_to_status_id")
	private String inReplyToStatusId;

	@JsonProperty("annotations")
	private List<AnnotationsItem> annotations;

	@JsonProperty("mblogtype")
	private int mblogtype;

	@JsonProperty("source")
	private String source;

	@JsonProperty("attitudes_count")
	private int attitudesCount;

	@JsonProperty("rid")
	private String rid;

	@JsonProperty("positive_recom_flag")
	private int positiveRecomFlag;

	@JsonProperty("is_show_bulletin")
	private int isShowBulletin;

	@JsonProperty("hide_flag")
	private int hideFlag;

	@JsonProperty("mlevel")
	private int mlevel;

	@JsonProperty("in_reply_to_user_id")
	private String inReplyToUserId;

	@JsonProperty("hasActionTypeCard")
	private int hasActionTypeCard;

	@JsonProperty("id")
	private long id;

	@JsonProperty("text")
	private String text;

	@JsonProperty("mblog_vip_type")
	private int mblogVipType;

	@JsonProperty("content_auth")
	private int contentAuth;

	@JsonProperty("visible")
	private Visible visible;

	@JsonProperty("gif_ids")
	private String gifIds;

	@JsonProperty("source_type")
	private int sourceType;

	@JsonProperty("pic_urls")
	private List<Object> picUrls;

	@JsonProperty("version")
	private int version;

	@JsonProperty("biz_feature")
	private long bizFeature;

	@JsonProperty("comments_count")
	private int commentsCount;

	@JsonProperty("userType")
	private int userType;

	@JsonProperty("biz_ids")
	private List<Integer> bizIds;

	@JsonProperty("idstr")
	private String idstr;

	@JsonProperty("text_tag_tips")
	private List<Object> textTagTips;

	@JsonProperty("page_type")
	private int pageType;

	@JsonProperty("created_at")
	private String createdAt;

	@JsonProperty("mid")
	private String mid;

	@JsonProperty("geo")
	private Object geo;

	@JsonProperty("darwin_tags")
	private List<Object> darwinTags;

	@JsonProperty("pending_approval_count")
	private int pendingApprovalCount;

	@JsonProperty("in_reply_to_screen_name")
	private String inReplyToScreenName;

	@JsonProperty("pic_num")
	private int picNum;

	@JsonProperty("is_paid")
	private boolean isPaid;

	@JsonProperty("reposts_count")
	private int repostsCount;

	@JsonProperty("reward_exhibition_type")
	private int rewardExhibitionType;

	@JsonProperty("favorited")
	private boolean favorited;

	@JsonProperty("can_edit")
	private boolean canEdit;

	@JsonProperty("textLength")
	private int textLength;

	@JsonProperty("truncated")
	private boolean truncated;

	@JsonProperty("source_allowclick")
	private int sourceAllowclick;

	@JsonProperty("show_additional_indication")
	private int showAdditionalIndication;

	@JsonProperty("comment_manage_info")
	private CommentManageInfo commentManageInfo;

	@JsonProperty("more_info_type")
	private int moreInfoType;

	public long getFid(){
		return fid;
	}

	public boolean isIsLongText(){
		return isLongText;
	}

	public List<Object> getHotWeiboTags(){
		return hotWeiboTags;
	}

	public String getInReplyToStatusId(){
		return inReplyToStatusId;
	}

	public List<AnnotationsItem> getAnnotations(){
		return annotations;
	}

	public int getMblogtype(){
		return mblogtype;
	}

	public String getSource(){
		return source;
	}

	public int getAttitudesCount(){
		return attitudesCount;
	}

	public String getRid(){
		return rid;
	}

	public int getPositiveRecomFlag(){
		return positiveRecomFlag;
	}

	public int getIsShowBulletin(){
		return isShowBulletin;
	}

	public int getHideFlag(){
		return hideFlag;
	}

	public int getMlevel(){
		return mlevel;
	}

	public String getInReplyToUserId(){
		return inReplyToUserId;
	}

	public int getHasActionTypeCard(){
		return hasActionTypeCard;
	}

	public long getId(){
		return id;
	}

	public String getText(){
		return text;
	}

	public int getMblogVipType(){
		return mblogVipType;
	}

	public int getContentAuth(){
		return contentAuth;
	}

	public Visible getVisible(){
		return visible;
	}

	public String getGifIds(){
		return gifIds;
	}

	public int getSourceType(){
		return sourceType;
	}

	public List<Object> getPicUrls(){
		return picUrls;
	}

	public int getVersion(){
		return version;
	}

	public long getBizFeature(){
		return bizFeature;
	}

	public int getCommentsCount(){
		return commentsCount;
	}

	public int getUserType(){
		return userType;
	}

	public List<Integer> getBizIds(){
		return bizIds;
	}

	public String getIdstr(){
		return idstr;
	}

	public List<Object> getTextTagTips(){
		return textTagTips;
	}

	public int getPageType(){
		return pageType;
	}

	public String getCreatedAt(){
		return createdAt;
	}

	public String getMid(){
		return mid;
	}

	public Object getGeo(){
		return geo;
	}

	public List<Object> getDarwinTags(){
		return darwinTags;
	}

	public int getPendingApprovalCount(){
		return pendingApprovalCount;
	}

	public String getInReplyToScreenName(){
		return inReplyToScreenName;
	}

	public int getPicNum(){
		return picNum;
	}

	public boolean isIsPaid(){
		return isPaid;
	}

	public int getRepostsCount(){
		return repostsCount;
	}

	public int getRewardExhibitionType(){
		return rewardExhibitionType;
	}

	public boolean isFavorited(){
		return favorited;
	}

	public boolean isCanEdit(){
		return canEdit;
	}

	public int getTextLength(){
		return textLength;
	}

	public boolean isTruncated(){
		return truncated;
	}

	public int getSourceAllowclick(){
		return sourceAllowclick;
	}

	public int getShowAdditionalIndication(){
		return showAdditionalIndication;
	}

	public CommentManageInfo getCommentManageInfo(){
		return commentManageInfo;
	}

	public int getMoreInfoType(){
		return moreInfoType;
	}
}