package com.sxtvs.open.api.odata.dto.wx;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


@EqualsAndHashCode(callSuper = true)
@Data
public class WxApiAuthorizerTokenResponse extends WxCommonResponse {
    @JsonProperty("authorizer_access_token")
    private String authorizerAccessToken;
    @JsonProperty("expires_in")
    private Integer expiresIn;
    @JsonProperty("authorizer_refresh_token")
    private String authorizerRefreshToken;
}
