package com.sxtvs.open.api.odata.dto.wx.authorization;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class AuthorizerInfo{

	@JsonProperty("qrcode_url")
	private String qrcodeUrl;

	@JsonProperty("business_info")
	private BusinessInfo businessInfo;

	@JsonProperty("user_name")
	private String userName;

	@JsonProperty("nick_name")
	private String nickName;

	@JsonProperty("head_img")
	private String headImg;

	@JsonProperty("principal_name")
	private String principalName;

	@JsonProperty("alias")
	private String alias;

	@JsonProperty("verify_type_info")
	private VerifyTypeInfo verifyTypeInfo;

	@JsonProperty("service_type_info")
	private ServiceTypeInfo serviceTypeInfo;

	public String getQrcodeUrl(){
		return qrcodeUrl;
	}

	public BusinessInfo getBusinessInfo(){
		return businessInfo;
	}

	public String getUserName(){
		return userName;
	}

	public String getNickName(){
		return nickName;
	}

	public String getHeadImg(){
		return headImg;
	}

	public String getPrincipalName(){
		return principalName;
	}

	public String getAlias(){
		return alias;
	}

	public VerifyTypeInfo getVerifyTypeInfo(){
		return verifyTypeInfo;
	}

	public ServiceTypeInfo getServiceTypeInfo(){
		return serviceTypeInfo;
	}
}
