package com.sxtvs.open.api.odata.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KuaishouAccount {

    @TableId(type = IdType.INPUT)
    private String openId;
    private String accessToken;
    private String refreshToken;
    private Date atExpireTime;
    private Date rtExpireTime;
    private String nickName;
    private Date createTime;
    private Date updateTime;
}
