package com.sxtvs.open.api.odata.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sxtvs.open.api.odata.dao.WxAccountV2Mapper;
import com.sxtvs.open.api.odata.entity.WxAccountV2;
import com.sxtvs.open.core.conf.Constant;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class WxAccountV2Service extends ServiceImpl<WxAccountV2Mapper, WxAccountV2> {

    public WxAccountV2 getZhiHuiRongMeiAccount(){
        return getById(Constant.weixinZhiHuiRongMeiAppId);
    }

    public WxAccountV2 getWishAccount(){
        return getById(Constant.weixinWishAppId);
    }
}
