package com.sxtvs.open.api.odata.service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sxtvs.open.api.odata.dao.WxTicketMapper;
import com.sxtvs.open.api.odata.entity.WxTicket;
import org.springframework.stereotype.Service;

import java.util.Date;

@Service
public class WxTicketService extends ServiceImpl<WxTicketMapper, WxTicket> {
    public String getTicket() {
        return getById(1).getTicket();
    }

    public WxTicket getTicketObject() {
        return getById(1);
    }

    public WxTicket updateComponentAccessToken(String ak, Integer expire) {
        WxTicket wxTicket = getById(1);
        wxTicket.setComponentAccessToken(ak);
        wxTicket.setAtExpireTime(new Date(System.currentTimeMillis() + expire * 1000));
        updateById(wxTicket);
        return wxTicket;
    }
}
