package com.sxtvs.open.api.odata.wxutil;

import cn.hutool.crypto.Mode;
import cn.hutool.crypto.Padding;
import cn.hutool.crypto.symmetric.AES;
import org.apache.commons.codec.binary.Base64;

import java.nio.charset.Charset;
import java.nio.charset.StandardCharsets;
import java.util.Arrays;

public class WxCrypt {

    static Charset CHARSET = StandardCharsets.UTF_8;

    private static final byte[] aesKey = Base64.decodeBase64("smcicsdifajfksafjas1279sdmfa923121v9113ekas=".getBytes());

    private static final AES aes = new AES(Mode.CBC, Padding.NoPadding, aesKey, Arrays.copyOfRange(aesKey, 0, 16));

    public static String encrypt(){
        return "";
    }

    public static String decrypt(String text){
        byte[] encrypted = Base64.decodeBase64(text);
        byte[] original = aes.decrypt(encrypted);
        // 去除补位字符
        byte[] bytes = PKCS7Encoder.decode(original);
        // 分离16位随机字符串,网络字节序和AppId
        byte[] networkOrder = Arrays.copyOfRange(bytes, 16, 20);
        int xmlLength = recoverNetworkBytesOrder(networkOrder);

        String xmlContent = new String(Arrays.copyOfRange(bytes, 20, 20 + xmlLength), CHARSET);
        return xmlContent;
    }

    private static int recoverNetworkBytesOrder(byte[] orderBytes) {
        int sourceNumber = 0;
        for (int i = 0; i < 4; i++) {
            sourceNumber <<= 8;
            sourceNumber |= orderBytes[i] & 0xff;
        }
        return sourceNumber;
    }

}
