package com.sxtvs.open;

import com.baomidou.mybatisplus.generator.FastAutoGenerator;
import com.baomidou.mybatisplus.generator.config.OutputFile;
import com.baomidou.mybatisplus.generator.engine.FreemarkerTemplateEngine;
import org.junit.jupiter.api.Test;

import java.util.Collections;

public class GenCode {
//    @Test
    public void genCodeZyxPc() {
        FastAutoGenerator.create("jdbc:mysql://rm-2vc3039h858t9ab7sfo.mysql.cn-chengdu.rds.aliyuncs.com:3306/open",
                        "cxzx", "sxtvs53$68HD")
                .globalConfig(builder -> {
                    builder.author("zyx") // 设置作者
//                            .fileOverride() // 覆盖已生成文件
                            .outputDir("D:\\code\\java\\open\\open\\src\\main\\java"); // 指定输出目录
                })
                .packageConfig(builder -> {
                    builder.parent("com.sxtvs.open.api") // 设置父包名
                            .moduleName("user") // 设置父包模块名
                            .pathInfo(Collections.singletonMap(OutputFile.xml,
                                    "D:\\code\\java\\open\\open\\src\\main\\resources\\com\\sxtvs")); // 设置mapperXml生成路径
                })
                .strategyConfig(builder -> {
                    builder.addInclude("user"); // 设置需要生成的表名
                    builder.controllerBuilder().enableRestStyle();
                    builder.entityBuilder().enableLombok();
                })
                .templateEngine(new FreemarkerTemplateEngine()) // 使用Freemarker引擎模板，默认的是Velocity引擎模板
                .execute();
    }

    @Test
    public void genCodeSyjPc() {
        FastAutoGenerator.create("jdbc:mysql://rm-2vc3039h858t9ab7sfo.mysql.cn-chengdu.rds.aliyuncs.com:3306/open",
                "cxzx", "sxtvs53$68HD")
                .globalConfig(builder -> {
                    builder.author("syj") // 设置作者
//                            .fileOverride() // 覆盖已生成文件
                            .outputDir("D:\\dev\\java\\open\\src\\main\\java"); // 指定输出目录
                })
                .packageConfig(builder -> {
                    builder.parent("com.sxtvs.open.api") // 设置父包名
                            .moduleName("odata") // 设置父包模块名
                            .pathInfo(Collections.singletonMap(OutputFile.xml,
                                    "D:\\dev\\java\\open\\src\\main\\resources\\com\\sxtvs")); // 设置mapperXml生成路径
                })
                .strategyConfig(builder -> {
                    builder.addInclude("wb_ym_account"); // 设置需要生成的表名
                    builder.controllerBuilder().enableRestStyle();
                    builder.entityBuilder().enableLombok();
                })
                .templateEngine(new FreemarkerTemplateEngine()) // 使用Freemarker引擎模板，默认的是Velocity引擎模板
                .execute();
    }

    @Test
    public void genCollectCodeSyjPc() {
        FastAutoGenerator.create("jdbc:mysql://rm-2vc3039h858t9ab7sfo.mysql.cn-chengdu.rds.aliyuncs.com:3306/collect",
                "cxzx", "sxtvs53$68HD")
                .globalConfig(builder -> {
                    builder.author("syj") // 设置作者
//                            .fileOverride() // 覆盖已生成文件
                            .outputDir("D:\\dev\\java\\open\\src\\main\\java"); // 指定输出目录
                })
                .packageConfig(builder -> {
                    builder.parent("com.sxtvs.open.api") // 设置父包名
                            .moduleName("news") // 设置父包模块名
                            .pathInfo(Collections.singletonMap(OutputFile.xml,
                                    "D:\\dev\\java\\open\\src\\main\\resources\\com\\sxtvs")); // 设置mapperXml生成路径
                })
                .strategyConfig(builder -> {
                    builder.addInclude("hot_rank"); // 设置需要生成的表名
                    builder.controllerBuilder().enableRestStyle();
                    builder.entityBuilder().enableLombok();
                })
                .templateEngine(new FreemarkerTemplateEngine()) // 使用Freemarker引擎模板，默认的是Velocity引擎模板
                .execute();
    }

//    @Test
//    public void genCodeMac(){
//        FastAutoGenerator.create("jdbc:mysql://rm-2vc3039h858t9ab7sfo.mysql.cn-chengdu.rds.aliyuncs.com:3306/collect",
//                        "cxzx", "sxtvs53$68HD")
//                .globalConfig(builder -> {
//                    builder.author("zyx") // 设置作者
//                            .fileOverride() // 覆盖已生成文件
//                            .outputDir("/Users/zhangyunxiang/IdeaProjects/topic-java/src/main/java"); // 指定输出目录
//                })
//                .packageConfig(builder -> {
//                    builder.parent("com.smcic.api") // 设置父包名
//                            .moduleName("topic") // 设置父包模块名
//                            .pathInfo(Collections.singletonMap(OutputFile.mapperXml,
//                                    "/Users/zhangyunxiang/IdeaProjects/topic-java/src/main/resources/com/smcic")); // 设置mapperXml生成路径
//                })
//                .strategyConfig(builder -> {
//                    builder.addInclude("chunwan_detail"); // 设置需要生成的表名
//                    builder.controllerBuilder().enableRestStyle();
//                    builder.entityBuilder().enableLombok();
//                })
//                .templateEngine(new FreemarkerTemplateEngine()) // 使用Freemarker引擎模板，默认的是Velocity引擎模板
//                .execute();
//    }
}
