cd `dirname $0`
git reset HEAD --hard
git pull
gradle build -x test -Dorg.gradle.java.home=/opt/jdk-17.0.4.1

version=$(date +%s)
docker build -t registry.cn-chengdu.aliyuncs.com/cxzx-spider/open:$version .
docker push registry.cn-chengdu.aliyuncs.com/cxzx-spider/open:$version
sed -i "s!{ { image } }!registry\.cn-chengdu\.aliyuncs\.com/cxzx-spider/open:$version!g" open.yml

kubectl apply -f open.yml
