package com.sxtvs.open.api.odata.dto.douyin;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class DouyinCommonResponse {

    private Data data;

    @lombok.Data
    public static class Data {
        @JsonProperty("open_id")
        private String description;

        @JsonProperty("error_code")
        private Integer errorCode;
    }

    public boolean hasError() {
        if (data == null) {
            return true;
        }
        return 0 != data.errorCode;
    }


}
