package com.sxtvs.open.api.odata.dto.kuaishou;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
public class KuaiShouVideoResponse {
    @JsonProperty("video_list")
    private List<VideoList> videoList;

    @Data
    public static class VideoList {
        @JsonProperty("photo_id")
        private String photoId;
        private String caption;
        private String cover;
        @JsonProperty("play_url")
        private String playUrl;
        @JsonProperty("create_time")
        private Long createTime;
        @JsonProperty("like_count")
        private Integer likeCount;
        @JsonProperty("comment_count")
        private Integer commentCount;
        @JsonProperty("view_count")
        private Integer viewCount;
    }
}
