package com.sxtvs.open.api.odata.dto.weibo.show;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class UserShowResponse{

	@JsonProperty("is_teenager")
	private int isTeenager;

	@JsonProperty("allow_all_act_msg")
	private boolean allowAllActMsg;

	@JsonProperty("favourites_count")
	private int favouritesCount;

	@JsonProperty("urank")
	private int urank;

	@JsonProperty("verified_trade")
	private String verifiedTrade;

	@JsonProperty("weihao")
	private String weihao;

	@JsonProperty("verified_source_url")
	private String verifiedSourceUrl;

	@JsonProperty("province")
	private String province;

	@JsonProperty("screen_name")
	private String screenName;

	@JsonProperty("id")
	private long id;

	@JsonProperty("geo_enabled")
	private boolean geoEnabled;

	@JsonProperty("video_mark")
	private int videoMark;

	@JsonProperty("live_status")
	private int liveStatus;

	@JsonProperty("like_me")
	private boolean likeMe;

	@JsonProperty("special_follow")
	private boolean specialFollow;

	@JsonProperty("like")
	private boolean like;

	@JsonProperty("verified_type")
	private int verifiedType;

	@JsonProperty("pagefriends_count")
	private int pagefriendsCount;

	@JsonProperty("domain")
	private String domain;

	@JsonProperty("following")
	private boolean following;

	@JsonProperty("name")
	private String name;

	@JsonProperty("status")
	private Status status;

	@JsonProperty("idstr")
	private String idstr;

	@JsonProperty("follow_me")
	private boolean followMe;

	@JsonProperty("friends_count")
	private int friendsCount;

	@JsonProperty("credit_score")
	private int creditScore;

	@JsonProperty("user_ability_extend")
	private int userAbilityExtend;

	@JsonProperty("gender")
	private String gender;

	@JsonProperty("city")
	private String city;

	@JsonProperty("profile_url")
	private String profileUrl;

	@JsonProperty("description")
	private String description;

	@JsonProperty("created_at")
	private String createdAt;

	@JsonProperty("remark")
	private String remark;

	@JsonProperty("ptype")
	private int ptype;

	@JsonProperty("verified_reason_url")
	private String verifiedReasonUrl;

	@JsonProperty("block_word")
	private int blockWord;

	@JsonProperty("avatar_hd")
	private String avatarHd;

	@JsonProperty("video_play_count")
	private int videoPlayCount;

	@JsonProperty("mbtype")
	private int mbtype;

	@JsonProperty("bi_followers_count")
	private int biFollowersCount;

	@JsonProperty("user_ability")
	private int userAbility;

	@JsonProperty("is_teenager_list")
	private int isTeenagerList;

	@JsonProperty("verified_reason")
	private String verifiedReason;

	@JsonProperty("story_read_state")
	private int storyReadState;

	@JsonProperty("video_status_count")
	private int videoStatusCount;

	@JsonProperty("mbrank")
	private int mbrank;

	@JsonProperty("lang")
	private String lang;

	@JsonProperty("class")
	private int jsonMemberClass;

	@JsonProperty("star")
	private int star;

	@JsonProperty("allow_all_comment")
	private boolean allowAllComment;

	@JsonProperty("online_status")
	private int onlineStatus;

	@JsonProperty("verified")
	private boolean verified;

	@JsonProperty("profile_image_url")
	private String profileImageUrl;

	@JsonProperty("block_app")
	private int blockApp;

	@JsonProperty("pc_new")
	private int pcNew;

	@JsonProperty("url")
	private String url;

	@JsonProperty("avatar_large")
	private String avatarLarge;

	@JsonProperty("planet_video")
	private int planetVideo;

	@JsonProperty("statuses_count")
	private int statusesCount;

	@JsonProperty("vclub_member")
	private int vclubMember;

	@JsonProperty("followers_count")
	private int followersCount;

	@JsonProperty("is_guardian")
	private int isGuardian;

	@JsonProperty("location")
	private String location;

	@JsonProperty("insecurity")
	private Insecurity insecurity;

	@JsonProperty("svip")
	private int svip;

	@JsonProperty("verified_source")
	private String verifiedSource;

	public int getIsTeenager(){
		return isTeenager;
	}

	public boolean isAllowAllActMsg(){
		return allowAllActMsg;
	}

	public int getFavouritesCount(){
		return favouritesCount;
	}

	public int getUrank(){
		return urank;
	}

	public String getVerifiedTrade(){
		return verifiedTrade;
	}

	public String getWeihao(){
		return weihao;
	}

	public String getVerifiedSourceUrl(){
		return verifiedSourceUrl;
	}

	public String getProvince(){
		return province;
	}

	public String getScreenName(){
		return screenName;
	}

	public long getId(){
		return id;
	}

	public boolean isGeoEnabled(){
		return geoEnabled;
	}

	public int getVideoMark(){
		return videoMark;
	}

	public int getLiveStatus(){
		return liveStatus;
	}

	public boolean isLikeMe(){
		return likeMe;
	}

	public boolean isSpecialFollow(){
		return specialFollow;
	}

	public boolean isLike(){
		return like;
	}

	public int getVerifiedType(){
		return verifiedType;
	}

	public int getPagefriendsCount(){
		return pagefriendsCount;
	}

	public String getDomain(){
		return domain;
	}

	public boolean isFollowing(){
		return following;
	}

	public String getName(){
		return name;
	}

	public Status getStatus(){
		return status;
	}

	public String getIdstr(){
		return idstr;
	}

	public boolean isFollowMe(){
		return followMe;
	}

	public int getFriendsCount(){
		return friendsCount;
	}

	public int getCreditScore(){
		return creditScore;
	}

	public int getUserAbilityExtend(){
		return userAbilityExtend;
	}

	public String getGender(){
		return gender;
	}

	public String getCity(){
		return city;
	}

	public String getProfileUrl(){
		return profileUrl;
	}

	public String getDescription(){
		return description;
	}

	public String getCreatedAt(){
		return createdAt;
	}

	public String getRemark(){
		return remark;
	}

	public int getPtype(){
		return ptype;
	}

	public String getVerifiedReasonUrl(){
		return verifiedReasonUrl;
	}

	public int getBlockWord(){
		return blockWord;
	}

	public String getAvatarHd(){
		return avatarHd;
	}

	public int getVideoPlayCount(){
		return videoPlayCount;
	}

	public int getMbtype(){
		return mbtype;
	}

	public int getBiFollowersCount(){
		return biFollowersCount;
	}

	public int getUserAbility(){
		return userAbility;
	}

	public int getIsTeenagerList(){
		return isTeenagerList;
	}

	public String getVerifiedReason(){
		return verifiedReason;
	}

	public int getStoryReadState(){
		return storyReadState;
	}

	public int getVideoStatusCount(){
		return videoStatusCount;
	}

	public int getMbrank(){
		return mbrank;
	}

	public String getLang(){
		return lang;
	}

	public int getJsonMemberClass(){
		return jsonMemberClass;
	}

	public int getStar(){
		return star;
	}

	public boolean isAllowAllComment(){
		return allowAllComment;
	}

	public int getOnlineStatus(){
		return onlineStatus;
	}

	public boolean isVerified(){
		return verified;
	}

	public String getProfileImageUrl(){
		return profileImageUrl;
	}

	public int getBlockApp(){
		return blockApp;
	}

	public int getPcNew(){
		return pcNew;
	}

	public String getUrl(){
		return url;
	}

	public String getAvatarLarge(){
		return avatarLarge;
	}

	public int getPlanetVideo(){
		return planetVideo;
	}

	public int getStatusesCount(){
		return statusesCount;
	}

	public int getVclubMember(){
		return vclubMember;
	}

	public int getFollowersCount(){
		return followersCount;
	}

	public int getIsGuardian(){
		return isGuardian;
	}

	public String getLocation(){
		return location;
	}

	public Insecurity getInsecurity(){
		return insecurity;
	}

	public int getSvip(){
		return svip;
	}

	public String getVerifiedSource(){
		return verifiedSource;
	}
}
