package com.sxtvs.open.api.odata.dto.wx.apiquery;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
public class AuthorizationInfo{

	@JsonProperty("authorizer_appid")
	private String authorizerAppid;

	@JsonProperty("authorizer_access_token")
	private String authorizerAccessToken;

	@JsonProperty("authorizer_refresh_token")
	private String authorizerRefreshToken;

	@JsonProperty("expires_in")
	private int expiresIn;

	@JsonProperty("func_info")
	private List<FuncInfoItem> funcInfo;

	public String getAuthorizerAppid(){
		return authorizerAppid;
	}

	public String getAuthorizerAccessToken(){
		return authorizerAccessToken;
	}

	public String getAuthorizerRefreshToken(){
		return authorizerRefreshToken;
	}

	public int getExpiresIn(){
		return expiresIn;
	}

	public List<FuncInfoItem> getFuncInfo(){
		return funcInfo;
	}
}
