package com.sxtvs.open.api.odata.dto.wx.authorization;

import com.fasterxml.jackson.annotation.JsonProperty;
import com.sxtvs.open.api.odata.dto.wx.WxCommonResponse;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class AuthorizationInfoResponse extends WxCommonResponse {

	@JsonProperty("authorizer_info")
	private AuthorizerInfo authorizerInfo;

	@JsonProperty("authorization_info")
	private AuthorizationInfo authorizationInfo;

	public AuthorizerInfo getAuthorizerInfo(){
		return authorizerInfo;
	}

	public AuthorizationInfo getAuthorizationInfo(){
		return authorizationInfo;
	}
}
